Open CASCADE Technology: PDataXtd_Position Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PDataXtd_Position Class Reference

`#include <PDataXtd_Position.hxx>`

Inheritance diagram for PDataXtd_Position:
[legend]

## Public Member Functions
| PDataXtd_Position ()
gp_Pnt | GetPosition () const
void | SetPosition (const gp_Pnt &aPosition)
| PDataXtd_Position (const Storage_stCONSTclCOM &a)
const gp_Pnt & | _CSFDB_GetPDataXtd_PositionmyPosition () const
Public Member Functions inherited from PDF_Attribute
| PDF_Attribute (const Storage_stCONSTclCOM &a)
| PDF_Attribute ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PDataXtd_Position::PDataXtd_Position | ( |  | ) |

PDataXtd_Position::PDataXtd_Position | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

const gp_Pnt& PDataXtd_Position::_CSFDB_GetPDataXtd_PositionmyPosition | ( |  | ) | const
| inline

gp_Pnt PDataXtd_Position::GetPosition | ( |  | ) | const

void PDataXtd_Position::SetPosition | ( | const gp_Pnt & | aPosition | ) |

The documentation for this class was generated from the following file:

- PDataXtd_Position.hxx